Save closings
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/banks/closings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"closings": [
{
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"endBalance": 123,
"id": "<string>",
"bankAccountId": 123,
"statementUrl": "<string>"
}
]
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/closings"
payload = { "closings": [
{
"beginDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"endBalance": 123,
"id": "<string>",
"bankAccountId": 123,
"statementUrl": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
closings: [
{
beginDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
endBalance: 123,
id: '<string>',
bankAccountId: 123,
statementUrl: '<string>'
}
]
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/closings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}
]Banks
Save closings
Save new (or update existing) set of closings
POST
/
v5
/
banks
/
closings
Save closings
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
Show child attributes
Show child attributes
Response
200 - application/json
Successful operation
⌘I